# spec file for package teg
# based on the original file for Suse by David Haller

%define  ver     0.11.1
%define  RELEASE 2
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  /usr
%define  sysdocs /usr/doc/packages

Name:      		teg
Summary:   		Clone of a Risk clone
Version:		%ver
Release:		%rel
License: 	  	GPL
Group: 			Amusements/Games
URL:			http://teg.sourceforge.net/
Requires:		glibc gnome-libs esound gtk+ imlib glib

BuildRequires: gnome-libs-devel
BuildRequires: libgnome-devel >= 2.0.0
BuildRequires: libgnomeui-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.1.5
Docdir:    %{sysdocs}
BuildRoot: %{_tmppath}/teg-%{PACKAGE_VERSION}-root

Source: http://prdownloads.sourceforge.net/teg/teg-%{PACKAGE_VERSION}.tar.bz2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Tctico y Estratgico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are different.

Authors:
--------
	Ricardo Quesada (riq@corest.com)

%prep
%setup
%configure \
	--enable-gconf-source=xml::%{_sysconfdir}/gconf/gconf.xml.defaults \
	--with-included-gettext

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
	GCONF_CONFIG_SOURCE=xml::$RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.defaults

# remove unpackaged files from rpm build root
pushd $RPM_BUILD_ROOT
rm -f ./usr/etc/gconf/gconf.xml.defaults
rm -f usr/doc
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/gconf/schemas/teg.schemas
%{_bindir}/tegclient
%{_bindir}/tegserver
%{_bindir}/tegrobot
%{_datadir}/locale/*/LC_MESSAGES/teg.mo
%{_datadir}/pixmaps/*.*
%{_datadir}/pixmaps/teg_pix
%{_datadir}/gnome/apps/Games/teg.desktop
%{_datadir}/gnome/help/teg
%defattr(0644, root, root, 0755)
%config(noreplace) %{_sysconfdir}/gconf/gconf.xml.defaults/apps/*.xml
%dir %{_sysconfdir}/gconf/gconf.xml.defaults/apps/teg/
%config(noreplace) %{_sysconfdir}/gconf/gconf.xml.defaults/apps/teg/*.xml
%config(noreplace) %{_sysconfdir}/gconf/gconf.xml.defaults/schemas/*.xml
%config(noreplace) %{_sysconfdir}/gconf/gconf.xml.defaults/schemas/apps/*.xml
%dir %{_sysconfdir}/gconf/gconf.xml.defaults/schemas/apps/teg/
%config(noreplace) %{_sysconfdir}/gconf/gconf.xml.defaults/schemas/apps/teg/*.xml

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ PEOPLE HACKING

%changelog
* Wed Sep 21 2005 Peter Hanecak <hanecak@megaloman.sk> 0.11.1-2
- s/Copyright/License
- %%config(noreplace) used instead of just %%config

* Thu Dec 16 2004 Peter Hanecak <hanecak@megaloman.sk> 0.11.1-1
- update to 0.11.1
- %%{?_smp_mflags} used with 'make'

* Mon Sep 29 2003 Peter Hanecak <hanecak@megaloman.sk> 0.11.0-2

* Thu Jan 30 2003 Peter Hanecak <hanecak@megaloman.sk> 0.11.0-1
- .bz2 source archiv
- %%{_tmppath} used
- adapted to Doors Linux

* Wed Aug 28 2002 Ganesh Sittampalam <ganesh-rpms@earth.li>
- Updated to 0.10.1
- Added BuildRequires: gnome-libs-devel
- Removed /usr/share/locale/locale.alias from final package
